"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentLoaderSection = void 0;
var react_1 = __importDefault(require("react"));
var react_content_loader_1 = __importDefault(require("react-content-loader"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var lodash_1 = require("lodash");
var ContentLoaderSection = function (props) {
    var width = props.width, height = props.height, count = props.count, id = props.id, barHeight = props.barHeight;
    var gapHeight = (height - barHeight * count) / count;
    var rowHeight = gapHeight + barHeight;
    return (react_1.default.createElement("div", { style: { width: width, height: height, paddingTop: gapHeight } },
        react_1.default.createElement(react_content_loader_1.default, { uniqueKey: id, speed: props.speed ? props.speed : 2, width: width, height: height, viewBox: "0 0 ".concat(width, " ").concat(height), backgroundColor: props.backgroundColor ? props.backgroundColor : primeobjects_helper_util_1.COLORS.GRAY[100], foregroundColor: props.foregroundColor ? props.foregroundColor : primeobjects_helper_util_1.COLORS.GRAY[300] }, (0, lodash_1.map)(new Array(count), function (o, index) {
            (0, primeobjects_helper_util_1.doNothing)(o);
            return react_1.default.createElement("rect", { key: index, x: "0", y: index * rowHeight, rx: barHeight * 0.3, ry: barHeight * 0.3, width: (width * (count - index)) / count, height: barHeight });
        }))));
};
exports.ContentLoaderSection = ContentLoaderSection;
exports.default = exports.ContentLoaderSection;
//# sourceMappingURL=content-loader.js.map